<script>
import loader from '@monaco-editor/loader';

export default {
  components: {},
  props: {
    source: {
      type: String,
      required: true,
    },
    language: {
      type: String,
      required: true,
    },
  },
  fetchOnServer: false,
  computed: {},
  async mounted() {
    const value = this.source;
    await loader.init().then((monaco) => {
      monaco.editor.create(this.$refs.editor, {
        value,
        language: this.language,
        automaticLayout: false,
        minimap: false,
      });
    });
  },
  methods: {
    fixValues(text) {
      return text.replaceAll('"', '');
    },
  },
};
</script>

<template>
  <div class="gl-my-2">
    <div ref="editor" style="min-height: 350px; min-width: 600px"></div>
  </div>
</template>
